<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.hdkj</groupId>
        <artifactId>fhzg</artifactId>
        <version>${revision}</version>
    </parent>

    <artifactId>common</artifactId>
    <packaging>pom</packaging>

    <modules>
        <module>common-core</module>
        <module>ruoyi-common-core</module>
        <module>ruoyi-common-datasource</module>
        <module>ruoyi-common-security</module>
        <module>ruoyi-common-log</module>
        <module>ruoyi-common-swagger</module>
        <module>ruoyi-common-redis</module>
        <module>ruoyi-common-third</module>
    </modules>

    <dependencies>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter</artifactId>
            <scope>compile</scope>
            <optional>true</optional>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
            <scope>compile</scope>
            <optional>true</optional>
        </dependency>
        <dependency>
            <groupId>cn.hutool</groupId>
            <artifactId>hutool-all</artifactId>
        </dependency>
        <dependency>
            <groupId>com.baomidou</groupId>
            <artifactId>mybatis-plus-boot-starter</artifactId>
        </dependency>
    </dependencies>

</project>
